Subject: Re: linux-next: manual merge of the mlx5-next tree with the rdma tree

From: Leon Romanovsky <[email-masked]>
Date: Thu, 14 May 2020 08:54:53 +0300

On Thu, May 14, 2020 at 12:59:20PM +1000, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the mlx5-next tree got a conflict in:
>
>   drivers/infiniband/hw/mlx5/main.c
>
> between commit:
>
>   2be08c308f10 ("RDMA/mlx5: Delete create QP flags obfuscation")
>
> from the rdma tree and commit:
>
>   14c129e30152 ("{IB/net}/mlx5: Simplify don't trap code")
>
> from the mlx5-next tree.
>
> I fixed it up (the latter change included the former) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

Thanks Stephen,

The mlx5-next branch was merged to rdma-next tonight and this conflict
will disappear in next the linux-next.

Thanks

> --
> Cheers,
> Stephen Rothwell